Home | All Classes | Grouped Classes | Index | Search

# CL_SoundProvider_Wave::CL_SoundProvider_Wave

Constructs a sound provider based on a Windows wave (.wav) file.

    	CL_SoundProvider_Wave(
    		const std::string& filename, CL_InputSourceProvider* provider = 0, bool stream = false);

Parameters:

filename
  Filename of wave file.
provider
  Input source provider used to retrieve wave file.
stream
  If true, will stream from disk. If false, will load it to memory.

See also:

CL_InputSource | CL_InputSourceProvider | CL_Sound | CL_SoundProvider | CL_SoundProvider_Wave

Questions or comments, write to the ClanLib mailing list.